Subject: deja-dup: Automatic disk backups fail with "an operation is already running"

From: Harlan Lieberman-Berg <[email-masked]>
Date: Fri, 31 Jul 2015 18:03:52 -0400

Package: deja-dup
Version: 34.0-1
Severity: normal

I have my system setup to use an external hard drive as the backup 
mechanism that is kept unplugged except when I want to use it for 
backups.  When I plug it in, as well as the pop-up from the automount, I 
get an error from Deja Dup saying that "an operation is already 
running".  I can manually trigger a backup from the menu after this, and 
it works without errors.

Maybe it's not waiting long enough for the disk to settle?

-- System Information:
Debian Release: stretch/sid
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.0.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages deja-dup depends on:
ii  dconf-gsettings-backend [gsettings-backend]  0.24.0-2
ii  duplicity                                    0.7.03-1
ii  libatk1.0-0                                  2.16.0-2
ii  libc6                                        2.19-19
ii  libcairo-gobject2                            1.14.2-2
ii  libcairo2                                    1.14.2-2
ii  libgdk-pixbuf2.0-0                           2.31.4-2
ii  libgirepository-1.0-1                        1.44.0-1+b2
ii  libglib2.0-0                                 2.44.1-1.1
ii  libgtk-3-0                                   3.16.5-1
ii  libnautilus-extension1a                      3.14.2-1
ii  libnotify4                                   0.7.6-2
ii  libpango-1.0-0                               1.36.8-3
ii  libpangocairo-1.0-0                          1.36.8-3
ii  libpeas-1.0-0                                1.12.1-2
ii  libsecret-1-0                                0.18.2-1

Versions of packages deja-dup recommends:
ii  gvfs-backends                1.24.1-2+b2
ii  openssh-client [ssh-client]  1:6.7p1-6
ii  python-boto                  2.38.0-1
ii  python-cloudfiles            1.7.11-3

deja-dup suggests no packages.

-- no debconf information